# std::numeric_limits< T > Struct Template Reference

Work around lacking "limits" header. More...

`#include <compiler-internal.hxx>`

List of all members.

## Public Member Functions
template<>
long | max () throw()
template<>
long | min () throw()
## Static Public Member Functions
static T | max () throw ()
static T | min () throw ()

## Detailed Description

### template<typename T>
struct std::numeric_limits< T >

Work around lacking "limits" header.

## Member Function Documentation

template<>

long std::numeric_limits< long >::max | ( |  | ) | throw()

template<typename T >

static T std::numeric_limits< T >::max | ( |  | ) | throw ()`[static]`

template<>

long std::numeric_limits< long >::min | ( |  | ) | throw()

template<typename T >

static T std::numeric_limits< T >::min | ( |  | ) | throw ()`[static]`

The documentation for this struct was generated from the following file:

- compiler-internal.hxx